All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class NumericTextField

    com.sas.visuals.NumericTextField

All Implemented Interfaces:
  VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.PublicClonable, ValidatorInterface, com.sas.ViewDefaultModelInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, ResizeToFitInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.accessibility.Accessible

    public class NumericTextField

NumericTextField is a subclass of TextField which has a default validator for integers.

The validator and the error handler are created and set in the constructor. They can be changed any time after the constructor has completed, or commonInit can be overridden to provide different error handling and/or validation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.awt.TextField
`dataMonitor, errorHandler, inSetTextOnModel, isValid, RB_KEY, setTextOnModelLock, validator`

Constructor Summary
`NumericTextField()`
`NumericTextField(java.lang.String text)`
`NumericTextField(java.lang.String text, int columns)`

Method Summary
`protected void` | `commonInit()`
`static int` | `getDefaultHeight()`
`static int` | `getDefaultWidth()`
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`static void` | `setDefaultHeight(int newDefaultHeight)`
`static void` | `setDefaultWidth(int newDefaultWidth)`

Methods inherited from class com.sas.awt.TextField
`addNotify, append, attachModel, clone, computePreferredSize, delete, deselectAll, detachModel, getDataMonitor, getErrorHandler, getRequiredInterfaces, getValidator, handleError, insert, isAutoHighlight, isDefaultModelAttached, isKeystrokeUpdate, isResizeToDefaultSize, isResizeToFit, isValid, processActionEvent, processFocusEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, propertyChange, refresh, refresh, replaceRange, select, selectAll, setAutoHighlight, setBounds, setBounds, setCaretPosition, setColumns, setDataMonitor, setDefaultValues, setEchoChar, setEditable, setErrorHandler, setFont, setKeystrokeUpdate, setResizeToDefaultSize, setResizeToFit, setSelectionEnd, setSelectionStart, setText, setTextOnModel, setValidator`

Methods inherited from class com.sas.awt.TextFieldVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachView, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, queryLinks, queryLinks, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Constructor Detail

### NumericTextField

    public NumericTextField()

### NumericTextField

    public NumericTextField(java.lang.String text)

### NumericTextField

    public NumericTextField(java.lang.String text,
                            int columns)

Method Detail

### commonInit

    protected void commonInit()

### getDefaultWidth

    public static int getDefaultWidth()

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

### getDefaultHeight

    public static int getDefaultHeight()

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.